#line 1 "f:\\hvd\\src\\scrpthdr\\keywords.h"






#line 8 "f:\\hvd\\src\\scrpthdr\\keywords.h"



#line 12 "f:\\hvd\\src\\scrpthdr\\keywords.h"
       
       
enum ObjType {
	NULL_OBJ_TYPE,
    MUPPET,
    PIANO,
    PIANOFINGER,
    BUTTON,
    TXTBOX,
    TUNER,
	SPRITE,
    STAFF,
    ANIMSEQ,
    EVENTCHAIN,
    ARROW,
    TIMER,
    STOPWATCH,
    AGGR_GADGET,
    LINE,
    FONT_SPRITE,
    DECK,
    GLUE_OBJECT,
    SPARKLE,
    DUST,
    PROFESSOR,
    BUBBLE,
    LOCOBJ,
    SOUNDCLIENT,	
    PROGRESS_BAR,
    EXPLOSION,
    MOUSE,
    IMAGE,
    FCOLIMAGE,		
    TRAP,
    GADGET,
    RADIO,
    CHECKBOX,
    USER_PIANOFINGER,
    LEGER_LINE,
    SLIDER,
    MIDI_DEVICE,
    STAGE_STATUS,
    TWO_STATE_BUTTON,
    WAVE_BUFFER,
    DIGITAL_TO_ANALOG,
    CLEAR_GADGET,
    PRINTER,
    DBASE,
    QWERTY,
    ANIMCEL,
    EDIT_FIELD,
    DIRECTORY_LIST,		
    EVENTBLOCK,
    SOUND_ONLY_OBJECT,
    STAFF_ROD,
    PROF_TALK,
	MIDI_IN_DEVICE,
    QUEUE,
    COLLECTION,
    REST,
    WAVE_SEGMENT,
    DOODLE_NOTE,
    MEDIA_PRELOAD_COLLECTION,
    RHYTHM_STEM,
	RHYTHM_GADGET,
    MEASURE_BAR,
	STAFF_NOTATION,
	WALDO,
	DRAG_GADGET,
	MIDI_CLIENT,
	TIMING_OBJECT,
	EVENT_COLLECTION,
	SCRIPT_OBJECT,
	USER_INPUT_DEVICE,
	ACTOR,
	BITMAP_IMAGE,
	FONT_IMAGE,
	MULTI_IMAGE,
	BUTTON_IMAGE,
	BUTTON_BACK_IMAGE,
	TXTBOX_IMAGE,
	TXTBOX_BACK_IMAGE,
	BUBBLE_IMAGE,
	BUBBLE_ARROW_IMAGE,
	LINE_IMAGE,
	DEVICE,
	DROP_MENU,
	SCREEN_DEVICE,
	LATENCY_CALIBRATOR,
	AGGR_WAVE,
	SINGBURST,

    OBJECT_TYPE_COUNT   
}  ;                    



















enum Attribute {
    FIRST_ATTR=100,
    LOC,
    LOCX,
    LOCY,
    MID_LOCX,
    TOP_CENTER_LOC,
    DISPLACE,
    DISPLACE_X,
    DISPLACE_Y,
    LABEL,
    COLOR,
    DISPLAY,
    CLEAR,
    TEXT,
    EYES,
    MOUTH,
    ACTIVATE,
    DEACTIVATE,
    SOUND,
    SILENT,
    PITCH,
    PITCHWORD,
    INSTR,
    DELAY,
    GET,
    RELEASE,
    RT_TYPE,
    START_TIME,
    END_TIME,
    START_LOC,
    END_LOC,
    CALC,
    LINK,
    DELINK,
    UNILINK,
    BILINK,
    UNDO_UNILINK,
    UNDO_BILINK,
    UNDO_ALL_LINKS,
    CYCLE_TYPE,
    TIMING,
    ADD_EVENT,
    STEP_CNT,
    CLICK_STATE,
    IS_DONE,
    VERTICAL,
    HORIZONTAL,
    RATIO,
    NOTE_INDX,
    PLAY_NOTE,
    POS_FOLLOW_PITCH,
    PITCH_FOLLOW_POS,
    STAFF_LIMIT,
    STAFF_FREE,
    PLAY_KEY,
    SILENT_KEY,
    DIR,
    FIRED,
    READING,
    TIME_SET,
    MODE,
    CLEF,
    DISPLAY_METHOD,
    REMOVE_METHOD,
    WAIT,
    INSTANT,
    LINE_AT_A_TIME,
    TARGET_PITCH,
    TARGET_NOTE,
    PITCH_PER_PIXEL,
    GRANULARITY,
    INTONATION,
    MOBILIZE,
    HORIZ_MOBILIZE,
    VERT_MOBILIZE,
    DETUNE,
    STAFFLOC,
    CLOSED_MOUTH_INDX,
    OPEN_MOUTH_INDX,
    RODS_SHOW,
    RODS_HIDE,
    ACCIDENTAL,
    ID,
    PT,
    DRAW,
    SHADOW,
    FONT_ID,
    ENDTEXT,
    BACK_COLOR,
    OUTLINE_COLOR,
    DEPTH,
    ALLOCATED,
    SELECTED_GADGET,
    PIANO_KEY_TYPE,
    TEXT_OFFSET,
    WIDTH,
    HWIDTH,
    HEIGHT,
    LENGTH,
    JUSTIFY,
    PITCH_TO_NOTE,
    NOTE_TO_PITCH,
    NOTE_TO_PKEY,
    PKEY_TO_NOTE,
    DEAL,
    MODULO,
    SHUFFLE,
    GLUE_ON,
    UNGLUE,
    UNGLUE_ALL,
    FORCE_UNSELECT,
    TEMPORARY_IGNORE,
    AUTO_RELEASE,
    MERGE_INTO,
    ON_STAFF,
    PLAY_MODE,
    STAFF_POS,
    STAFF_XPOS,
    ADD_CEL,
    RESET,
    IS_ACTIVE,
    LEFT_MARGIN,
    RIGHT_MARGIN,
    TOP_MARGIN,
    BOTTOM_MARGIN,
    VERT_JUSTIFY,
    TOP,
    BOTTOM,
    FRAME_SIZE,
    SET_IMAGE,
    DEPTH3D,
    LEFT_ARM,
    RIGHT_ARM,
    EYEBROW,
    DRAW_NEXT_WORD,
    WORD_AT_A_TIME,
    WORD_LAST_CHAR,
    WORD_COUNT,
    PT0,
    PT1,
    PT2,
    DEFAULT_SETTINGS,
    ACCELERATION,
    DECELERATION,
    CONCAT,
    ASPECT_RATIO,
    KILL_ARROW,
    SPEED,
    RESTORE_COLOR,
    MIN_X,
    MAX_X,
    MIN_Y,
    MAX_Y,
    MIN_NOTE,
    MAX_NOTE,
    ARROW_TARGET,
    SELECTED_COLOR,
    UNSELECTED_COLOR,
    MIN_PITCH,
    MAX_PITCH,
    DEVICE_TYPE,
    CHANNEL_COUNT,
    BATON,
    BATON_PT,
    PERCENTAGE,
    CHROMATIC_DRAG,
    EXPLICIT_ACCIDENTAL,
    KEY_SIGNATURE,
    CONTROL_PT,
    TERMINATE_AT_CYCLE,
    VIBRATE_X,
    OVAL_SIZE,
    MOVE_DURATION,
    MOVE_TO_NOTE,
    MOVE_TO_STAFF_XPOS,
    DELTA_X,
    VOLUME,
    EXPLODE,
    SPARKLE_APPEAR,
    FLASH_APPEAR,
	LEGER0,
    LEGER1,
    ENABLE_TOP_LINE,
    ENABLE_BOTTOM_LINE,
    ENABLE_LEFT_LINE,
    ENABLE_RIGHT_LINE,
    MIN_VALUE,
    MAX_VALUE,
    CURRENT_VALUE,
    CURRENT_PITCH,
    CURRENT_NOTE,
    DISINTEGRATE,
    KEYLOC,
    KEY_COLOR,
    KEY_INSTR,
    MUTE,
    SHOW_DONE_TEXT,
    NOTE_TO_Y,
    FLOATING_TEXT,
    NOTE_ACCIDENTAL,
    ENABLE,
    DISABLE,
    FIRE,
    VECTOR,
    ARG,
    SELECT_TRAP,
    UNSELECT_TRAP,
    RELEASE_TRAPS,
    ENABLE_TRAPS,
    DISABLE_TRAPS,
    CHECK,
    RULER,
    EXPLICIT_VALUE,
    OBJECT_TYPE,
    IS_OBJECT_TYPE,
    FREEZE,
    UNFREEZE,
    ENABLED,
    ORIENTATION,
    TRAVEL,
    FRAME_LOCK,
    OVERALL_VOLUME,
    STAGE_COUNT,
    STAGE_COMPLETE,
    STAGES_COMPLETE,
    CURRENT_STAGE,
    RESET_POINTS,
    VERTICAL_STEP,
    HORIZONTAL_STEP,
    DRAG_TRAP,
    MIDI_PATCH,
    MIDI_CHANNEL_TEST,
    MIDI_CHANNEL_ENABLED,
    ENABLE_MIDI_CHANNEL,
    HORZ_STEP_ANCHOR,
    VERT_STEP_ANCHOR,
    SYNC_MOUSE,
    KEY_SIGNATURE_COLOR,
    KEY_SIGNATURE_ITEM,
    GRAB_ACCIDENTAL,
    MIDI_LINK,
    MIDI_KEY_COLOR,
    MIDI_KEY_INSTR,
    MIDI_KEY_VOLUME,
    MIDI_KEY_USER_FINGER_SYNC,
    MIDI_KEY_DEFAULTS,
    NOTE_TO_STAFF_POS,
    DISCONNECT,
    CONNECT,
    LOAD,
    PLAY,
    ZAP,
    IS_PLAYING,
    FREQUENCY,
    OPEN_FILE,
    CLOSE_FILE,
    BORDER_WIDTH,
    FORM_FEED,
    STATUS,
    INITIALIZE,
    DBASE_FILE,
    KEY,
    DATA_FOUND,
    SLOT_COUNT,
    CONTAINED,
    TEXT_DOWN_OFFSET,
    SHADOW_COLOR,
    SHADOW_BACK_COLOR,
    NORMAL_MICKEY,
    SLOW_MICKEY,
    MULTI_HOT_SPOT,
    QWERTY_VERT_STEP,
    QWERTY_HORIZ_STEP,
    ACCIDENTAL_X_SHIFT,
    QWERTY_EQUIVALENT,
    ALPHA_ENTRY,
    SPACE_BAR_CLICK,
    IMAGE_FILE,
    FLOATING_OBJECT,
    SET_SCRIPT_IMAGE,
    MOUSE_TYPE,
    NUMBERS_BELOW,
    KEYPRESS_TRAP,
    NOP_GADGET,
    MIDI_BANK,
    MAX_VOICE_SETTING,
    MAX_VOICES_PER_CHAN,
    ALLOW_PATCH_CHANGES,
    ALLOW_BANK_CHANGES,
    ENSURE_SOUND,
    INPUT_STATE,
    TEXT_X_OFFSET,
    TEXT_Y_OFFSET,
    IS_NOTE_IN_KEYSIG,
    DEPRESSED,
    REMAP_PALETTE,
    PULSE,
	LOCK_LEGERS,
    UNDERLINE_DISTANCE,
    BACKUP_COLOR,
	SPRITE_INDEX,
	SPRITE_FILE,
    RAISED_BORDER,
    LIGHT_BORDER_COLOR,
    DARK_BORDER_COLOR,
    ALLOCATE,
    DEALLOCATE,
    MEMORY_RESIDENT,
    SLAVE,
    INVISIBLE,
    SING_TRAP,
    SILENT_TRAP,
    DUTY_CYCLE,
    DUTY_PHASE,
    SELECTED_STAGE,
    STAMP,
    LEFT_X,
    RIGHT_X,
    TOP_Y,
    BOTTOM_Y,
    UPPER_LEFT_LOC,
    UPPER_RIGHT_LOC,
    LOWER_LEFT_LOC,
    LOWER_RIGHT_LOC,
    FIX_INSTR_PITCH,
    UNFIX_INSTR_PITCH,
    LOCAL_TEXT,
    ATTACH,
    DETACH,
    EDIT_TYPE,
    MAX_DIGITS,
    MAX_LENGTH,
    NUMERIC,
    CLOSE_TRAP,
    DATA_ENTRY_TRAP,
    INVALID_ENTRY_TRAP,
    VALID_ENTRY_TRAP,
    CANCEL,
    ALLOW_BLANK,
    ALLOW_LEADING_SIGN,
    FORCE_LEADING_SIGN,
    VALID,
    ENABLE_INSTR,
    BLANK,
    OCTAVE_SHIFT,
    CANCEL_TRAP,
    RESET_KEY_STATUS,
    KEY_STATUS,
    MIDI_KEY_PRESSED,
    MIDI_KEY_TRAP,
    MIDI_ZAP_KEY_TRAPS,
    DELETE_BRUSH,
    ATTACH_BRUSH,
    DETACH_BRUSH,
    EMERGENCY,
    RELEASE_SLAVE,
    FREE_SLAVE,
    SLAVE_CHAIN,
    RELEASE_SLAVE_CHAIN,
    FREE_SLAVE_CHAIN,
    TRANSFER_SOUND,
    PRECISION,
    MATCH_PATTERN,
    SELECT_AGAIN,
    REPEAT_RATE,
    REPEAT_DELAY_FACTOR,
    REPEAT_O_MATIC,
    MOUSE_DOUBLE_CLICK,
    DOUBLE_CLICK_TIME,
    DIR_LINE_TYPE,
    EXECUTE_LINE,
    CHANGE_DIRECTORY,
    HOME_DIRECTORY,
    FORCE_UPPER_CASE,
    FORCE_LOWER_CASE,
    FOREGO_EXTENSION,
    LINE_COUNT,
    ALLOW_PUNCTUATION,
    ALLOW_SPACE,
    SCROLL_UP,
    SCROLL_DOWN,
    EXCLUSIVE,
    END_TRAP,
    SHADOW_DEPTH,
    VOICE_ID,
    ALLOW_BUF_PURGE_BY_PEER,
    GET_BRUSH,
    SELECT_SHADOW_DISPLACE,
    PUSH_MOUSE_ENABLE,
    POSE,
    POSE_DELAY_UPDATE,
    POSE_UPDATE,
    LOAD_POSE_DEFAULT_IMAGES,
    LOAD_IMAGE,
    UNLOAD_IMAGE,
    PURGE_UNUSED_IMAGES,
    PURGE_ALL_IMAGES,

    
    
    

    TORSO_SPRITE,
    LEGS_SPRITE,
    VEST_SPRITE,
    BOW_TIE_SPRITE,
    LEFT_ARM_SPRITE,
    RIGHT_ARM_SPRITE,
    HEAD_SPRITE,
    MOUTH_SPRITE,       
    EYES_SPRITE,        
    EYEBROW_SPRITE,      
    EXTRA2_SPRITE,
    EXTRA3_SPRITE,
    EXTRA4_SPRITE,
    EXTRA5_SPRITE,
    SPRITE_LIST,
    SPRITE_LIST_DELAY_UPDATE,
    PRELOAD_SPRITE_LIST,
    UNLOAD_SPRITE_LIST,
    PRELOAD_POSE_IMAGES,
    UNLOAD_POSE_IMAGES,
    USE_SPRITE,
    EVENT_FILE,
    SLANT_LEFT,
    SLANT_RIGHT,
    VISUAL_SOUND,
    VISUAL_SILENT,
    VISUAL_PLAY_NOTE,
    IMMEDIATE_SOUND,
    IMMEDIATE_SILENT,
    IMMEDIATE_PLAY_NOTE,
    EVENT_OBJECT,
    LIGHT_BACK_COLOR,
    DARK_BACK_COLOR,
    EVENT_OBJECT_TYPE,
    RELEASE_EVENT_OBJECTS,
	IMMEDIATE_FIRE,
	IMAGE_SIZE,
	NO_PIANO_FINGERS,
	PEN_COLOR,
	PEN_COLOR_FG,
	PEN_COLOR_BK,
	SOLID_COLOR,
	SOLID_COLOR_BK,
	DRAW_LINE,
	IS_MASK_HIT,
	DELINK_ALL,
	MSEC_PER_TICK,
	IMAGE_INDX,
	SPARKLE_TYPE,
	VISUAL_LINK,
	TRAP_GADGET,
	GADGET_FIRE,
    WAVE_SIZE,
    ADD_CHAR,
    FLAT_COLOR,
    FACE_STEP,
    PITCH_TO_PKEY,
    PKEY_TO_PITCH,
    SELECTABLE, 
    PRIORITY,
    STRING_ID,
    MEDIA_ID,
    DURATION,
    MAKE_EDIT_FIELD,
    EYEBROWS,           
    HAS_VOLUME_SUPPORT,
	KNOB_OFFSET,
	IS_NULL_DEVICE,
    REPORT,
	ACC_LOC,
	ACC_LOCY,
	ACC_DISPLACE,
	ACC_DISPLACE_Y,
	ACC_START_LOC,
	ACC_END_LOC,
	ACC_CONTROL_PT,
	ACC_ADD_CEL,
	ACC_PT0,
	ACC_PT2,
	ACC_PT1,
	ACC_TEXT_DOWN_OFFSET,
    ACC_TEXT_Y_OFFSET,
	ACC_FRAME_SIZE,
	ACC_IMAGE_SIZE,
	ACC_PT,
	ACC_NOTE_TO_Y,
	ACC_KEYLOC,
	ACC_KNOB_OFFSET,
	ACC_HEIGHT,
	ACC_TOP_MARGIN,
	ACC_BOTTOM_MARGIN,
	ACC_TOP_CENTER_LOC,
	ACC_TEXT_OFFSET,
	MOUTH_INDX,
	CACHE_POSE_IMAGES,
	UNCACHE_POSE_IMAGES,
	UNCACHE_ALL_POSE_IMAGES,
	WAVE_TALK_ENABLED,
	BUBBLE_TALK_ENABLED,
	IS_CDROM,
	INSTR_ENABLED,
	FUNNY_INSTR,
    ADD_MEDIA_ITEM,
    REMOVE_MEDIA_ITEM,
    UNLOAD,

    USE_SHARP,		
    USE_FLAT,		
    PLAY_PITCH,
    IMMEDIATE_PLAY_PITCH,
    VISUAL_PLAY_PITCH,
    PLAY_PITCH_VOL,
    IMMEDIATE_PLAY_PITCH_VOL,
    VISUAL_PLAY_PITCH_VOL,
    RHYTHM,
    RHYTHM_LINK,
    TIE_LINK,
    STEM_DIRECTION,
    BEAM,
    TIE,
	ACTIVATE_RHYTHM,
	DEACTIVATE_RHYTHM,

    MOUSE_ON_TRAP,
    MOUSE_OFF_TRAP,
    MOUSE_ON_SENSITIVE,

    MOUSE_UP_SPRITE,
    MOUSE_DOWN_SPRITE,
    MOUSE_UP_HOT_SPOT,
    MOUSE_DOWN_HOT_SPOT,
    MOUSE_HOT_SPOT,
    MOUSE_RESTORE_IMAGE,

    SELECT_TRAP_VECTOR,
    UNSELECT_TRAP_VECTOR,
    DRAG_TRAP_VECTOR,
    MOUSE_ON_TRAP_VECTOR,
    MOUSE_OFF_TRAP_VECTOR,

	SUSTAIN,
	OBJECT_COUNT,
	OBJECT_SLOT_COUNT,
	RELEASE_EVENT_OBJECT,

	AUTO_RUN_INIT_EVENTS,
	RUN_INIT_EVENTS,
	AUTO_GET_OBJECTS,
	GET_OBJECTS,

    NOTATION_SIZE,

	EARLY_ATTACK_TRAP,
	LATE_ATTACK_TRAP,
	SKIPPED_ATTACK_TRAP,
	CORRECT_ATTACK_TRAP,
	EARLY_RELEASE_TRAP,
	LATE_RELEASE_TRAP,
	CORRECT_RELEASE_TRAP,
	HIT_REST_TRAP,

    CROP_IMAGE_LEFT,
    CROP_IMAGE_RIGHT,
    CROP_IMAGE_TOP,
    CROP_IMAGE_BOTTOM,
    STAMP_ONTO,
	MILLISEC_PER_BEAT,
	USER_DATA,
	USER_DATA_SIZE,
	PAUSE,
	RESUME,
	IS_FROZEN,
	IS_PAUSED,
	STAFF_CONNECT,
	INTERVAL_JUST_PLAYED,
	ASSIGN_TO_STAFF,

	CORRECT_REST_TRAP,	

	FIRE_SING_TRAP,
	FIRE_SILENT_TRAP,
	FIRE_SELECT_TRAP,
	FIRE_UNSELECT_TRAP,
	FIRE_DRAG_TRAP,
	FIRE_MOUSE_ON_TRAP,

	HOW_EARLY_WAS_ATTACK,
	HOW_EARLY_WAS_RELEASE,
	HOW_LATE_WAS_ATTACK,
	HOW_LATE_WAS_RELEASE,

	DISPLACE_BY_ANIM,
	SLIDE_DURATION,
	SLIDE_TO,
	SLIDE_TO_X,
	SLIDE_TO_Y,

	ARG0,
	ARG1,
	ARG2,
	ARG3,
	ARG4,
	ARG5,
	ARG6,
	ARG7,

	KEY_SIG_ACC_CNT,

	TSIG_NUMERATOR,
	TSIG_DENOMINATOR,
	TSIG_ENABLE,
	TSIG_CHILD_VERSION,
	TSIG_NUMERATOR_HANDLE,
	TSIG_DENOMINATOR_HANDLE,

    PIN,
    UNPIN,
    COLOR_PIN,
	UNPIN_ALL,
	GRAB_STAFF_ROD,
	GRAB_CLEF,
    GRAB_KEY_SIG_ACC,

	GLUE_ON_INDEX,
    UNGLUE_INDEX,

	EARLY_ATTACK_OK_BEAT_PERCENT,		
	LATE_ATTACK_OK_BEAT_PERCENT,		
	EARLY_ATTACK_OK_MSEC,				
	LATE_ATTACK_OK_MSEC,				
	MIN_EARLY_ATTACK_OK_MSEC,			
	MIN_LATE_ATTACK_OK_MSEC,			
	UPDATE_INTERVALS,

	CURRENT_TIME,
	FORCE_BUTTON_DOWN,
	FORCE_BUTTON_UP,

	INTERVAL_JUST_RELEASED,
    REST_POSITION,

	HORIZ_VERT_MOBILIZE,
	PREFERRED_ACCIDENTAL,

    ACTIVATE_ACCIDENTAL,
    DEACTIVATE_ACCIDENTAL,

	MARKER,
	GOTO_MARKER,
	GOTO_PAUSE,

	END_SEQUENCE_FIRE,
	TRAP_SEQUENCE,

	SLIDE_BY,		
	SLIDE_BY_X,
	SLIDE_BY_Y,

	RESET_ATTACK_STATUS,
	LOCK_INSTR,

	TYPE_FILTERED_NTH_OBJECT,
	OBJECT_COUNT_OF_TYPE,
	OBJECT_TYPE_QUERY_FILTER,

	LOCK_VOLUME,
	PIXELS_PER_LINE,

	TIE_RIGHT,
	TIE_LEFT,
	FINAL_MEASURE_BAR,
	AUTO_FORMAT_X,
	ADD_LIST,
	PREDEFINED_LIST,
	MIN_VOLUME,
	MULTI_BEAT,
	IGNORE_STAFF_X_MARGINS,

	HORIZONTAL_PIN,			
	VERTICAL_PIN,			
	HORIZONTAL_COLOR_PIN,	
	VERTICAL_COLOR_PIN,

	FORWARD_PIN,			
	BACKWARD_PIN,			
							

	RHYTHM_LINK_LEFT,		
	RHYTHM_LINK_RIGHT,		

	GRAB_NOTATION_OBJECT,	
	SORT_NOTATION_BY_X,		

    GRAB_TUPLET,            
    GRAB_FINAL_MEASURE_BAR, 

	SING_GROUP_ID,			
	VERTICALLY_CENTER,		
	TIE_LINK_LEFT,			
	TIE_LINK_RIGHT,			
	
	STAFF_OBJ_INDEX_JUST_PLAYED,
	STAFF_OBJ_INDEX_JUST_RELEASED,

	AUTO_FORMAT_STEM_DIR,	
							
	AUTO_FORMAT,			
							
	REDUCE_MIDI_VOL_WHILE_PLAYING, 

    GRAB_LEFT_BEAM,         
    GRAB_RIGHT_BEAM,        
    GRAB_RIGHT_FLAG,        
    GRAB_STEM,              

	OK_ATTACK_COUNT,		
	EARLY_ATTACK_COUNT,		
	LATE_ATTACK_COUNT,
	SKIPPED_ATTACK_COUNT,
	HIT_REST_COUNT,
	OK_REST_COUNT,
	OK_RELEASE_COUNT,
	EARLY_RELEASE_COUNT,
	LATE_RELEASE_COUNT,
	BAD_ATTACK_COUNT,		
	BAD_RELEASE_COUNT,		
	ERROR_COUNT,			
	CURRENT_TIME_CENTISEC,	

	IDEAL_ATTACK_TIME_MS,		
	IDEAL_ATTACK_TIME_CENTISEC, 
	IDEAL_RELEASE_TIME_MS,		
	IDEAL_RELEASE_TIME_CENTISEC,
	IS_REST,					
	TIME_INTERVAL_COUNT,		

	OVERLAY_REPLACE_AT_X_MS,	
	OVERLAY_ADD_AT_X_MS,		
	OVERLAY_TYPE,				
	PITCH_SHIFT,
	OVERLAY_FADE_START_TIME_MS,
	OVERLAY_FADE_DURATION_MS,
	OVERLAY,
	DURATION_MS,
	DURATION_CENTISEC,
	DURATION_10THSEC,

	EVENT_HANDLE,
	EVENT_ATTR,
	EVENT_VAL,
	EVENT_TIME_MS,
	EVENT_TIME_CENTISEC,
	MILLISEC_PER_TICK,
	EVENT_COUNT,
	ACTIVATE_WITHOUT_TIME_RESET,	

	HAS_TIE_LINK_RIGHT,				
	TIE_LINK_TIME_MS,				
	TIE_LINK_TIME_CENTISEC,

    LOC_BY_PROF,                    

	END_TIME_MS,					
	END_TIME_CENTISEC,				
	CURRENT_TIME_MS,

	SELECTED_BACK_SPRITE_INDEX,		
	UNSELECTED_BACK_SPRITE_INDEX,	
	SHADOW_DEPRESS_DEPTH,			

	SYNC_WITH_STAFF_WHEN_MOVED,		

	ENABLE_MULTI_SLAVE,				
	FORCE_MOUSE_WHEN_QWERTY_HIT,	

	TITLE,							
	COMPOSER,						
	TEMPO_TEXT,						

    TOTAL_BEATS,                    
	LOCK_PITCH,						

	COMPLETE_IMMEDIATELY,			
	ALLOW_COLOR_REMAP,				
	RELATIVE_MOVEMENTS,				
	DUMP_ANALYSIS_DATA,				
    GRAB_GRAND_STAFF_BRACE,         
    WAVE_ID_COUNT,                  
    WAVE_ID,                        

	DRIVER_COUNT,					
	CURRENT_DRIVER_INDEX,			
	DRIVER_ERROR_CODE,				
	IS_ERROR,						
	SAVE_DRIVER_INDEX,				
	DRIVER_SUPPLIED_ERR_MSG,		

	BACK_SPRITE,					
	PERFORMANCE_ID,					
	IS_ANALYSIS_ENABLED,			
	SING_WHEN_SELECTED,				
	AVOID_EIGHTH_NOTE_DENOMINATOR,  

	TOLERANCE_PERCENTAGE,					
	USER_SPECIFIED_TOLERANCE_PERCENTAGE,	
	IMPLICIT_ACCIDENTAL,					
	RESET_NOTE_INDEXES,						

    OK_COUNT,                        
	MIDDLE_NOTE,					 

	FULL_SCREEN,					
	SOLID_BACKGROUND,
	WINDOWED,
	IS_ORIGINAL_RESOLUTION_HI,
	IS_HI_RES,
	IS_CAPABLE_OF_CHANGING_TO_NORMAL_RES,
	SAVE_LAYOUT,
	MAX_STEP_CNT,					

	VISUAL_PLAY_KEY,				
	VISUAL_SILENT_KEY,
    MIDI_KILL_KEYS,                 

	LATENCY_COMPENSATION,			
	CALIBRATE_MIDI_LATENCY,
	CALIBRATE_WAVE_LATENCY,
	LATENCY,						
	SAVE_LATENCY,
	LAST_OCCUPIED_INDEX,			
	CHECKED_BUTTON_ID,				
	IS_TYPE,						
	PERIOD_MILLISEC,				
	KEEP_ALIVE,						
	HAS_REFERENCE_CLICK,			
	SHIFT_TIMING_MS,				
	ZERO_FIXED_LATENCY,				
	ADD_SNIPPET,					
	CYCLE_COUNT,					
	NO_OP,							
	STREAMABLE,						
	BEEP,							
	MUTE_MIDI_SING_GROUP,			
	POST_COMPLETE_ATTACK_OK,		
	UNMUTE_MIDI_SING_GROUP,			
	LOAD_MIDI_SEQ_INSTRUMENTS,		
	WAVE_16_BIT,					
	IS_WAVE_16_BIT_CAPABLE,			
	SAVE_WAVE_16_BIT,				
	REFRESH_LEGERS_WHEN_MOVED,		
	SING_STAR_BURST,				
	ENABLE_FACE,					
	STEP,							
	PIN_PROPAGATE,					
	SYNCHED_PAUSE,					
	IS_LOADED,						
	IS_STREAMING,					
	POLL,							
	PIN_BITMASK,					
	PIN_BITMASK_PIN_ID,				
	MOVE_TRAP,						

    LAST_ATTR
} ;












































enum ProfEyeBrowState {
    EYEBROWS_NORMAL=1,
    EYEBROWS_DOWN,       
    EYEBROWS_UP,
	EYEBROWS_HALF_UP
};
      

enum ProductID {
	PROD_MUSICACE=1,
	PROD_DOODLE=2,
	PROD_MUSICACE_2=3
};


enum CountryID {
    COUNTRY_USA   = 0,   
    COUNTRY_JAPAN   ,
    COUNTRY_FRANCE  ,
    COUNTRY_GERMANY  ,
    COUNTRY_SPAIN ,
	COUNTRY_UNITEDKINGDOM,
    COUNTRY_MCGRAW_HILL,    
    COUNTRY_LASTPL1,
	COUNTRY_INVALID =100
};



















enum {
    NO_CRITICAL_ERROR,
    DISK_WRITE_PROT  ,
    DRIVE_NOT_READY  ,
    GENERAL_CRIT_ERR 
};


enum {
    LESSON_MODE,
    GAME_MODE,
    DRILL_MODE,
    QUIT_MODE,
    MAINMENU_MODE
};



enum Direction {
    EAST=0,
    NE,
    NORTH,
    NW,
    WEST,
    SW,
    SOUTH,
    SE
};


































enum KeyType {
	EBONY=1,
    IVORY
};

enum Justification {
    LEFT=1,
    RIGHT,
    CENTER
};

enum VertJustification {
	VTOP,
	VBASE,
	VBOTTOM,
	VCENTER
};


enum ClefType {
    TREBLE=1,
    BASS,
    ALTO,
    GRANDSTAFF,
    NO_CLEF,
    NO_CLEF2,
    PERCUSSION
};

enum AccidentalType {
    SHARP=1,
    FLAT,
    NATURAL,
    DBL_SHARP,
    DBL_FLAT
};

enum EyeType {
    EYES_STRAIGHT_AHEAD=0,
    EYES_EAST,
    EYES_WEST,
    EYES_NORTH,
    EYES_SOUTH,
    EYES_SE,
    EYES_NE,
    EYES_SW,
    EYES_NW,
    EYES_CLOSED,
    EYES_BIG,
    EYES_OPEN
};


enum OpenMouthType {
    DEFAULT_MOUTH_OPEN=-1,
    NORMAL_MOUTH_OPEN=2
};

enum ClosedMouthType {
    DEFAULT_MOUTH_CLOSED=-1,
    MOUTH_GRIN=0
};


enum MuppetType {
	MUPPET_NORMAL=0,
	MUPPET_GRIN,
    MUPPET_BIG_OVAL,
    MUPPET_NRW_2,
    MUPPET_NRW_3,
    MUPPET_NRW_4,
    MUPPET_DFRM_1,
	MUPPET_LFT_SLANT,
	MUPPET_RGHT_SLANT,
	MUPPET_FACE_COUNT
};























enum LArmType {
    LARM_SOUTH,
    LARM_SE,
    LARM_ESE,
    LARM_EAST,
    LARM_NE
};


enum RArmType {
    RARM_SOUTH,
    RARM_SW,
    RARM_WSW,
    RARM_WEST,
    RARM_NW
};


enum SndHrdWrType {
    PIEZO = 1,          
    ADLIB,
    SOUND_BLASTER,
    MIDI,
    DISNEY,
    MIRACLE,
    SBLASTER_PRO,
    MSSOUND_SYS,
    GRAVIS,
    SND_AUTO_DETECT     
};

enum ProfBatonState {
    NO_BATON,
    RIGHT_BATON,
    LEFT_BATON
};


enum MajorKeySignature {
    C_MAJ,
    G_MAJ,
    D_MAJ,
    A_MAJ,
    E_MAJ,
    B_MAJ,
    FS_MAJ,
    CS_MAJ,
    CF_MAJ,
    GF_MAJ,
    DF_MAJ,
    AF_MAJ,
    EF_MAJ,
    BF_MAJ,
    F_MAJ
};

enum MinorKeySignature {
    A_MIN  = C_MAJ,
    E_MIN  = G_MAJ,
    B_MIN  = D_MAJ,
    FS_MIN = A_MAJ,
    CS_MIN = E_MAJ,
    GS_MIN = B_MAJ,
    DS_MIN = FS_MAJ,
    AS_MIN = CS_MAJ,
    AF_MIN = CF_MAJ,
    EF_MIN = GF_MAJ,
    BF_MIN = DF_MAJ,
    F_MIN = AF_MAJ,
    C_MIN = EF_MAJ,
    G_MIN = BF_MAJ,
    D_MIN = F_MAJ
};


enum ScaleMode {
	SCALE_MAJOR=1,
	SCALE_NATURAL_MINOR,
	SCALE_HARMONIC_MINOR,
	SCALE_MELODIC_MINOR,
	SCALE_DORIAN,			
	SCALE_IONIAN,
	SCALE_PHRYGIAN
};

enum KeySigAccidental {
    
    KSIG_ACC_FS0 = 1,
    KSIG_ACC_CS0,
    KSIG_ACC_GS0,
    KSIG_ACC_DS0,
    KSIG_ACC_AS0,
    KSIG_ACC_ES0,
    KSIG_ACC_BS0,
    
    
    KSIG_ACC_FS1,
    KSIG_ACC_CS1,
    KSIG_ACC_GS1,
    KSIG_ACC_DS1,
    KSIG_ACC_AS1,
    KSIG_ACC_ES1,
    KSIG_ACC_BS1,

    
    KSIG_ACC_FS2,
    KSIG_ACC_CS2,
    KSIG_ACC_GS2,
    KSIG_ACC_DS2,
    KSIG_ACC_AS2,
    KSIG_ACC_ES2,
    KSIG_ACC_BS2,

    
    KSIG_ACC_BF0 = 101,
    KSIG_ACC_EF0,
    KSIG_ACC_AF0,
    KSIG_ACC_DF0,
    KSIG_ACC_GF0,
    KSIG_ACC_CF0,
    KSIG_ACC_FF0,

    
    KSIG_ACC_BF1,
    KSIG_ACC_EF1,
    KSIG_ACC_AF1,
    KSIG_ACC_DF1,
    KSIG_ACC_GF1,
    KSIG_ACC_CF1,
    KSIG_ACC_FF1,

    
    KSIG_ACC_BF2,
    KSIG_ACC_EF2,
    KSIG_ACC_AF2,
    KSIG_ACC_DF2,
    KSIG_ACC_GF2,
    KSIG_ACC_CF2,
    KSIG_ACC_FF2
};




enum CromaticDrag {
    NO_CHROM_DRAG,
    SEMI_CHROM_DRAG,
    FULL_CHROM_DRAG,
    SHARP1_CHROM_DRAG,
    FLAT1_CHROM_DRAG,
    SHARP2_CHROM_DRAG,	
    FLAT2_CHROM_DRAG,	
    DIR_CHROM_DRAG
};

enum CromaticLeaning {
    MIDDLE_CHROM,
    LOW_CHROM,
    HIGH_CHROM
};
















enum RhythmValue {
    RV_WHOLE=0,                             
    RV_DOTTED_WHOLE=1,                      
    RV_HALF=2,                              
    RV_DOTTED_HALF=3,                       
    RV_QUARTER=4,                           
    RV_DOTTED_QUARTER=5,                    
    RV_EIGHTH=6,                            
    RV_DOTTED_EIGHTH=7,                     
    RV_SIXTEENTH=8,                         
    RV_DOTTED_SIXTEENTH=9,                  
    
    
    
    RV_WHOLE_TUPLET3=16,                    
    RV_DOTTED_WHOLE_TUPLET3=17,             
    RV_HALF_TUPLET3=18,                     
    RV_DOTTED_HALF_TUPLET3=19,              
    RV_QUARTER_TUPLET3=20,                  
    RV_DOTTED_QUARTER_TUPLET3=21,           
    RV_EIGHTH_TUPLET3=22,                   
    RV_DOTTED_EIGHTH_TUPLET3=23,            
    RV_SIXTEENTH_TUPLET3=24,                
    RV_DOTTED_SIXTEENTH_TUPLET3=25,         

    RV_UNDEFINED,
    RV_LAST_VALUE
};



















enum TieType {
    TOP_TIE=1,
    BOTTOM_TIE,
    NO_TIE
};

enum StemDirection {
    STEM_UP=1,
    STEM_DOWN,
    STEM_NONE
};




enum NotationSize {
        LARGE_NOTATION=0,
        MEDIUM_NOTATION,
        SMALL_NOTATION,

        LAST_NOTATION_SIZE,

		INVALID_NOTATION_SIZE=100
};



enum RouteType {
    ANIM_LINE=1,
    ANIM_BEZIER=2
};


enum {
    PRINTER_READY,
    PRINTER_NO_PAPER,
    PRINTER_OFF_LINE,
    PRINTER_TIMEOUT,
    PRINTER_BUSY,
    PRINTER_IO_ERROR
};

enum UserButtonState {
    JUST_DOWN,
    STILL_DOWN,
    JUST_UP,
    STILL_UP,
    JUST_UP_DOWN,
    JUST_DOWN_UP
};


enum {
    NUMERIC_ONLY=1,
    ALPHA_ONLY,
    ALPHANUMERIC
};







enum Recommendation {
    NEXT_LESSON = 1 ,
    NEXT_GAME,
    REPEAT_GAME,
    REPEAT_LESSON,
    PLAY_DOODLE
};

enum HVTrack {
    NO_TRACK,
    LESSON_TRACK,
    LESSON_GAME_TRACK,
    PRACTICE_TRACK,
    ARCADE_TRACK
};

enum ClefInstruction {
    TREBLE_AND_BASS=1,
    TREBLE_ONLY,
    BASS_ONLY,
	ALTO_ONLY
};

enum RhythmicStringency {
	RHYTHM_RELAXED=1,
	RHYTHM_STRICT
};

enum GameDifficulty {
	GAME_NOVICE=1,
	GAME_ADVANCED
};


enum PatchMethod {
	USE_PATCHES=1,
	FORCE_CHANNEL,
	NO_INSTRUMENTS
};

enum TSigDenom {
	WHOLE_NOTE_BEAT=0,
	HALF_NOTE_BEAT=1,
	QUARTER_NOTE_BEAT=2,
	EIGHTH_NOTE_BEAT=3,
	SIXTEENTH_NOTE_BEAT=4,
	DOTTED_QUARTER_NOTE_BEAT=5,

	TSIG_DENOM_RANGE_SIZE=DOTTED_QUARTER_NOTE_BEAT+1
};



enum TSigNumer {
	ONE_BEAT=1,		
	TWO_BEAT=2,
	THREE_BEAT=3,
	FOUR_BEAT=4,
	FIVE_BEAT=5,	
	SIX_BEAT=6,
	SEVEN_BEAT=7,
	EIGHT_BEAT=8,
	NINE_BEAT=9,    
	TEN_BEAT=10,
	ELEVEN_BEAT=11,
	TWELVE_BEAT=12,
	THIRTEEN_BEAT=13,
	FOURTEEN_BEAT=14,
	FIFTEEN_BEAT=15,
	SIXTEEN_BEAT=16,

	TSIG_MAX_BEAT_PER_MEASURE=SIXTEEN_BEAT,
	TSIG_BEAT_PER_MEAS_RANGE_SIZE=TSIG_MAX_BEAT_PER_MEASURE+1
};













































































enum Platform {
	PLATFORM_MAC=1,
	PLATFORM_WINDOWS
};








enum EventSpeed {
	EV_1X_SPEED=0x100,
	EV_2X_SPEED=(0x100*2),
	EV_3X_SPEED=(0x100*3),
	EV_4X_SPEED=(0x100*4),
	EV_5X_SPEED=(0x100*5),
	EV_6X_SPEED=(0x100*6),
	EV_7X_SPEED=(0x100*7),
	EV_8X_SPEED=(0x100*8),
	EV_9X_SPEED=(0x100*9),
	EV_10X_SPEED=(0x100*10),
	EV_11X_SPEED=(0x100*11),
	EV_12X_SPEED=(0x100*12),
	EV_13X_SPEED=(0x100*13),
	EV_14X_SPEED=(0x100*14),
	EV_15X_SPEED=(0x100*15),
	EV_16X_SPEED=(0x100*16),

	EV_HALF_SPEED=(0x100/2),
	EV_THIRD_SPEED=(0x100/3),
	EV_QUARTER_SPEED=(0x100/4),
	EV_FIFTH_SPEED=(0x100/5),
	EV_SIXTH_SPEED=(0x100/6),
	EV_SEVENTH_SPEED=(0x100/7),
	EV_EIGHTH_SPEED=(0x100/8)
};


enum PreLoadListPreDefined {
	kPrL_NotationLarge=0,
	kPrL_MupLargeHeads,
	kPrL_NotationMedium,
	kPrL_MupMediumHeads,
	kPrL_NotationSmall,
	kPrL_MupSmallHeads,
	kPrL_StaffLarge,
	kPrL_StaffMedium,
	kPrL_StaffSmall,
	kPrL_ProfLeftArm,
	kPrL_ProfRightArm,
	kPrL_ProfFacePoseLeft,
	kPrL_ProfFacePoseRight,
	kPrL_Doodle,
	kPrL_MupLargeCrazyHeads,
	kPrL_MupMediumCrazyHeads,
	kPrL_MupSmallCrazyHeads,
	kPrL_Game,

	kPrL_LastValue
};


enum MidiOutputType {
	kMidiOutputNull=-10,

	
	kMidiOutputQTMA=0,
	kMidiOutputOMS=1,
	kMidiOutputMidiManager=2,
	kMidiOutputUnicorn=3,

	
	kMidiOutputMidiMapper=-1,
	kMidiOutputDev0=0,
	kMidiOutputDev1=1,
	kMidiOutputDev2=2,
	kMidiOutputDev3=3,
	kMidiOutputDev4=4,
	kMidiOutputDev5=5,
	kMidiOutputDev6=6,
	kMidiOutputDev7=7,
	kMidiOutputDev8=8,
	kMidiOutputDev9=9,











	kMidiOutputDummyCommaFix
};


enum MidiInputType {
	kMidiInputNull=-10,

	
	kMidiInputQTMA=0,
	kMidiInputOMS=1,
	kMidiInputMidiManager=2,
	kMidiInputUnicorn=3,

	
	kMidiInputDev0=0,
	kMidiInputDev1=1,
	kMidiInputDev2=2,
	kMidiInputDev3=3,
	kMidiInputDev4=4,
	kMidiInputDev5=5,
	kMidiInputDev6=6,
	kMidiInputDev7=7,
	kMidiInputDev8=8,
	kMidiInputDev9=9,

	kMidiInputDefaultDevID=kMidiInputNull
};

enum WaveOutputType {
	kWaveOutputNull=-10,
	kWaveOutputWaveMapper=-1,

	kWaveOutputDev0=0,
	kWaveOutputDev1=1,
	kWaveOutputDev2=2,
	kWaveOutputDev3=3,
	kWaveOutputDev4=4,
	kWaveOutputDev5=5,
	kWaveOutputDev6=6,
	kWaveOutputDev7=7,
	kWaveOutputDev8=8,
	kWaveOutputDev9=9,












	kWaveOutDummyCommaFix
};

enum MeasureBarType {
    kMBarNone,
    kMBarDefault=1,    
    kMBarKeepType=2,
    kMBarNormal=3,
    kDoubleMBar,
    kRepeatSign
};


enum DriverErrorCode {

	kDrvErr_NoError=0,

	kDrvErr_SeeErrBuf,

	kDrvErr_WaveOut_BadDevice,
	kDrvErr_WaveOut_NotPresent,
	kDrvErr_WaveOut_Busy,
	kDrvErr_WaveOut_LowSysMemory,
	kDrvErr_WaveOut_BadFormat,
	kDrvErr_WaveOut_NoWaveMapper,

	kDrvErr_MidiOut_BadDevice,
	kDrvErr_MidiOut_NotPresent,
	kDrvErr_MidiOut_Busy,
	kDrvErr_MidiOut_LowSysMemory,
	kDrvErr_MidiOut_NoMidiMapper,
	kDrvErr_MidiOut_MidiMapperErr,

	kDrvErr_MidiIn_BadDevice,
	kDrvErr_MidiIn_NotPresent,
	kDrvErr_MidiIn_Busy,
	kDrvErr_MidiIn_LowSysMemory,

	kDrvErr_WaveOut_MidiIn_Conflict,
	kDrvErr_WaveOut_MidiOut_Conflict,
	kDrvErr_MidiOut_MidiIn_Conflict,

	kDrvErr_WaveOut_Conflict_MidiIn,
	kDrvErr_WaveOut_Conflict_MidiOut,
	kDrvErr_MidiOut_Conflict_MidiIn,
	kDrvErr_MidiOut_Conflict_WaveOut,
	kDrvErr_MidiIn_Conflict_MidiOut,
	kDrvErr_MidiIn_Conflict_WaveOut,
	kDrvErr_WaveOut_DoesNotRespond,

	kDrvErr_MidiOut_QuickTime3Missing,
	kDrvErr_MidiIn_QuickTime3Missing,
	kDrvErr_MidiOut_SoundManager3NotPresent,
	kDrvErr_MidiOut_OmsMissing,
	kDrvErr_MidiIn_OmsMissing,
	kDrvErr_MidiOut_MidiManagerMissing,
	kDrvErr_MidiIn_MidiManagerMissing,
	kDrvErr_MidiOut_QuickTimeInitErr,
	kDrvErr_MidiIn_QuickTimeInitErr,
	kDrvErr_MidiOut_QuickTimeMisConfigured,

	kDrvErr_WaveOut_UnSupported_SampRate,
	kDrvErr_WaveOut_11kHz_UnSupported,
	kDrvErr_WaveOut_22kHz_UnSupported,
	kDrvErr_WaveOut_44kHz_UnSupported,

	kDrvErr_WaveOut_8Bit_UnSupported,
	kDrvErr_WaveOut_16Bit_UnSupported,
	kDrvErr_WaveOut_UnknownError,


	kDrvErr_LastErrCode
};



enum SoundSynchDelayGet {
	kGetSynch_VisualDelay=30000,		
	kGetSynch_WaveDelay,
	kGetSynch_MidiDelay,
	kGetSynch_PrecEvDelay = kGetSynch_MidiDelay
};








































#line 1953 "f:\\hvd\\src\\scrpthdr\\keywords.h"

